Gossamer Forum
Home : Products : Gossamer Links : Development, Plugins and Globals :

Internal Error 500 - can't install

Quote Reply
Internal Error 500 - can't install
I'm getting an internal error trying to install Links SQL on my server.
I've uploaded install.cgi and install.data

Here's is my website.

www.anywhere.ca/cgi-bin/install.cgi

I have not modified the install.cgi file at all.

Please help.

Thanks,

PeterP
Quote Reply
Re: [PeterP] Internal Error 500 - can't install In reply to
Hi. I've moved your thread for you, as it was in the Links2, and not LinksSQL forum :)

Regarding your problem, it could be one of many problems. The main ones are;

1) The CHMOD is set to 755 on the script, and NOT 777 on the /cgi-bin folder (can cause security problems on some server, and give 500 IS Errors).

2) The path to Perl is not correct. Double check with your host. Its normally something like;


#!/usr/bin/perl
or
#!/usr/local/bin/perl

or on some Windows servers;

#!c:/bin/perl/perl.exe

3) You uploaded the install.cgi file in binary mode, and not ASCII, as it is meant to.

I'm not sure which, if any, of the above are correct in your case. Just throwing a few suggestions your way :)

Cheers

Andy (mod)
andy@ultranerds.co.uk
Want to give me something back for my help? Please see my Amazon Wish List
GLinks ULTRA Package (plugins total "value" $3,325 & rising, for just $350)| GLinks ULTRA Package PRO (plugins total "value" $5,625 & rising, for just $500)
Support Forum | Links SQL Plugins | DMOZ Dumps | UltraNerds | ULTRAGLobals Plugin | Pre-Made Template Sets | FREE GLinks Plugins!
Compare our different Plugin packages *new* Free CSS Templates
Quote Reply
Re: [PeterP] Internal Error 500 - can't install In reply to
Thanks for moving the post Andy.

It's not #1 because i've changed all the permissions properly.

It might be #2 and #3 although I'm not sure how to check it.
I've been given this project by a client (my first time using links sql) and he's given me Plesk 7.0 as the server program to use. I have admin access to Plesk and so far i've just copied the files into the file manager. I'm not sure how to change files from "ASCII to binary or vice versa" or how to change perl options in this environment.

Thanks.

PeterP
Quote Reply
Re: [PeterP] Internal Error 500 - can't install In reply to
Hi. No problem :)

Another couple of ideas;

1) Open uo install.cgi, and just below the path to Perl, add;

Code:
use CGI::Carp qw(fatalsToBrowser);

Then call it again, and see if you get any errors.

2) Check your error_log (I believe that Plesk has the option built into the site control panel, so it should be easy to find the error message)

Regarding th ASCII/BINARY stuff.. what FTP program are you using?

Cheers

Andy (mod)
andy@ultranerds.co.uk
Want to give me something back for my help? Please see my Amazon Wish List
GLinks ULTRA Package (plugins total "value" $3,325 & rising, for just $350)| GLinks ULTRA Package PRO (plugins total "value" $5,625 & rising, for just $500)
Support Forum | Links SQL Plugins | DMOZ Dumps | UltraNerds | ULTRAGLobals Plugin | Pre-Made Template Sets | FREE GLinks Plugins!
Compare our different Plugin packages *new* Free CSS Templates
Quote Reply
Re: [PeterP] Internal Error 500 - can't install In reply to
Hi Andy.

Thanks again for your help, just working on the project again today.

I've done the things you've suggested. I've added the lines to the Perl code that you've suggested. I'm using WS_FTP and uploaded install.dat in binary form.
The error I'm getting from Plesk is: Premature end of script headers: install.cgi

I'm not sure now if the problem is with the program on my end or a problem with the server itself.

I'm thinking of e-mailing them and asking the following:

What is the path to the Perl compiler.
/usr/bin/perl?

Why doesn't the script work?


Otherwise, do you have any suggestions?

Thanks,

PeterP